Imagick::getFilename
Imagick::getFormat
The Imagick class
PHP Manual

# Imagick::getFont

(PECL imagick 2.1.0)

Imagick::getFont — Gets font

### Description

string Imagick::getFont ( void )

Returns the objects font property. This method is available if Imagick has been compiled against ImageMagick version 6.3.7 or newer.

### Return Values

Returns the string containing the font name or `FALSE` if not font is set.

### See Also

- Imagick::setFont() - Sets font
- ImagickDraw::setFont() - Sets the fully-specified font to use when annotating with text
- ImagickDraw::getFont() - Returns the font

Imagick::getFilename
Imagick::getFormat
The Imagick class
PHP Manual